################################### do not delete

FROM ciotpf_ros2_base
RUN sudo mkdir /opt/ciotpf
RUN sudo git clone https://gitlab.com/ros-iot-platform/ciotpf_ros2_utils.git /opt/ciotpf/ciotpf_ros2_utils
RUN sudo git clone https://gitlab.com/ros-iot-platform/ciotpf_create_app_tool.git /home/ubuntu/workspace/ciotpf_create_app_tool
RUN sudo git clone https://gitlab.com/ros-iot-platform/ciotpf_create_device_node_tool.git /home/ubuntu/workspace/ciotpf_create_device_node_tool
RUN echo 'export PYTHONPATH="/opt/ciotpf:$PYTHONPATH"' >> ~/.bashrc
RUN echo 'export PYTHONPATH="/home/ubuntu/workspace/ciotpf_create_app_tool:$PYTHONPATH"' >> ~/.bashrc
RUN echo 'source /home/ubuntu/workspace/ciotpf_create_app_tool/ros2_workspace/install/setup.bash' >> ~/.bashrc
RUN echo 'export PYTHONPATH="/home/ubuntu/workspace/ciotpf_create_device_node_tool:$PYTHONPATH"' >> ~/.bashrc

######################################

COPY requirements.txt /tmp
RUN pip3 install -r /tmp/requirements.txt







